Change Auditor - Database Access Error

Hello,

I have an issue that is driving me crazy, I don't know what else to try.

When trying to connect to change auditor client I am getting this error:

"Database access error, incorrect product version -- 7.04447.0, expecting 6.9.10656.5."

If I go to client log the version I have installed is v6.9.10686.5 !!!

I have already removed and re-installed the software multiple times. I have contacted support in chat, no use. Any suggestions?!?!?